Package org.kie.api.internal.assembler

## Interface KieAssemblerService

- All Superinterfaces:
    `Comparable<KieService>`, `KieService`

      public interface KieAssemblerService
      extends KieService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `default void` | `addResourceAfterRules​(Object kbuilder, Resource resource, ResourceType type, ResourceConfiguration configuration)` |
    `default void` | `addResourceBeforeRules​(Object kbuilder, Resource resource, ResourceType type, ResourceConfiguration configuration)` |
    `default void` | `addResourcesAfterRules​(Object kbuilder, Collection<ResourceWithConfiguration> resources, ResourceType type)` |
    `default void` | `addResourcesBeforeRules​(Object kbuilder, Collection<ResourceWithConfiguration> resources, ResourceType type)` |
    `ResourceType` | `getResourceType()` |

    - ### Methods inherited from interface org.kie.api.internal.utils.KieService

      `compareTo, servicePriority`

- - ### Method Detail

    - #### getResourceType

          ResourceType getResourceType()

    - #### addResourceBeforeRules

          default void addResourceBeforeRules​(Object kbuilder,
                                              Resource resource,
                                              ResourceType type,
                                              ResourceConfiguration configuration)
                                       throws Exception

      Throws:
        `Exception`

    - #### addResourcesBeforeRules

          default void addResourcesBeforeRules​(Object kbuilder,
                                               Collection<ResourceWithConfiguration> resources,
                                               ResourceType type)
                                        throws Exception

      Throws:
        `Exception`

    - #### addResourceAfterRules

          default void addResourceAfterRules​(Object kbuilder,
                                             Resource resource,
                                             ResourceType type,
                                             ResourceConfiguration configuration)
                                      throws Exception

      Throws:
        `Exception`

    - #### addResourcesAfterRules

          default void addResourcesAfterRules​(Object kbuilder,
                                              Collection<ResourceWithConfiguration> resources,
                                              ResourceType type)
                                       throws Exception

      Throws:
        `Exception`